{% extends 'base.html.twig' %}

{% block title %}Professor{% endblock %}

{% block body %}
    <h1 class="my-5 text-center">Professor</h1>

    <div class="row">
        <div class="col-md-2">
            <a href="{{ path('admin_professor_index') }}" class="btn btn-secondary"><< Back</a>
        </div>
        <div class="col-md-8">
            <div class="row mb-5">
                <a href="{{ path('admin_professor_edit', {'id': user.id}) }}" class="btn btn-info mx-3"><i class="far fa-edit mr-2"></i>Edit</a></i></a>
                {{ include('admin/professor/_delete_form.html.twig') }}
            </div>
            <table class="table table-striped table-bordered">
                <tbody>
                    <tr>
                        <th>FirstName</th>
                        <td>{{ user.firstName }}</td>
                    </tr>
                    <tr>
                        <th>LastName</th>
                        <td>{{ user.lastName }}</td>
                    </tr>
                    <tr>
                        <th>Email</th>
                        <td>{{ user.email }}</td>
                    </tr>
                    {% if user.subject %}
                        <tr>
                            <th>Subject</th>
                            <td>{{ user.subject.name }}</td>
                        </tr>
                    {% else %}
                        <tr>
                            <th>Subject</th>
                            <td>No subject has been assigned</td>
                        </tr>      
                    {% endif %}
                </tbody>
            </table>
        </div>
    </div>
{% endblock %}
